<template>
   <div class="container-scroller">
    <app-header></app-header>
    <div class="container-fluid page-body-wrapper">
        <app-sidebar></app-sidebar>
        <div class="main-panel">
            <div class="content-wrapper">
                <!-- <router-view></router-view> -->
                    <div>
                        <div className="card-body">
                            <h4 className="card-title">Register New User</h4>
                            <div className="card-center-block">
                                <hr />
                                <form className="form-sample">
                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">Profile Picture</label>
                                        <div className="col-sm-7">
                                            <div className="profile-img">
                                                <div className="inner-image">
                                                </div>
                                                <div className="upload-file">
                                                    <label>
                                                        <input type="text" />
                                                    </label>
                                                    <a><i className="fa fa-camera" aria-hidden="true" /></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">User Name</label>
                                        <div className="col-sm-7">
                                            <input type="text" name='username' v-model="username"/>
                                        </div>
                                    </div>

                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">First Name</label>
                                        <div className="col-sm-7">
                                            <input type="text" name='firstname' v-model="firstname"/>
                                        </div>
                                    </div>
                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">Last Name</label>
                                        <div className="col-sm-7">
                                            <input type="text" name='lastname' v-model="lastname"/>
                                        </div>
                                    </div>
                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">Password</label>
                                        <div className="col-sm-7">
                                            <input type="text" name='password' v-model="password"/>
                                        </div>
                                    </div>
                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">Email</label>
                                        <div className="col-sm-7">
                                            <input type="text" name='email' v-model="email"/>
                                            <div className="error-block">

                                            </div>
                                        </div>
                                    </div>
                                    <div className="form-group row">
                                        <label className="col-sm-5 col-form-label">Mobile No.</label>
                                        <div className="col-sm-7">
                                            <input type="text" name='mobile' v-model="mobile"/>
                                            <div className="error-block">
                                            </div>
                                        </div>
                                    </div>
                                    <hr />
                                    <div className="form-group row">
                                        <div className="button-group-container">
                                            <button type="submit" className="btn btn-primary" @click="userAdding" >
                                                <span>Submit</span>
                                            </button>
                                            <button type="button" className="btn btn-warning" >Cancel</button>
                                        </div>
                                    </div>
                                </form>
                            </div >
                        </div >
                    </div >

                <!-- <h1>user add</h1> -->
            </div>
            <footer class="footer">
                <div class="container-fluid clearfix">
                    <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © 2018 <a href="http://www.bootstrapdash.com/" target="_blank">IndiaNIC</a>. All rights reserved.</span>
                </div>
            </footer>
        </div>
    </div>
</div>
</template>

<script>
import Sidebar from '../../sidebar';
import Navbar from '../../navbar';
import axios from 'axios'

const API_URL = 'https://node.indianic.com:4069/api';

export default {
  components: {
    'app-header': Navbar,
    'app-sidebar': Sidebar,
  },
  data(){
      return{
        email:'',
        firstname:'',
        lastname:'',
        mobile:'',
        password:'',
        username:''
      }
  },
  methods:{
userAdding:function(e){
    e.preventDefault();
    let{ email,firstname,lastname,mobile,password,username}=this
    var token=localStorage.getItem('token')
    var userdata={
        username:username,
        firstname:firstname,
        lastname:lastname,
        mobile:mobile,
        email:email,
        password:password
    }
    axios({
        method: 'post',
        url:API_URL +'/register',
        headers: {
          "Content-Type": "application/json",
          "Authorization": token
        },
        data: JSON.stringify(userdata),
      })
      .then(response => {
        console.log("response",response)
      })
 this.$router.push('/userlist')
}

  }
};
</script>

<style scoped>
</style>